package com.bocloud.nms.model.veeam;

import java.util.List;

public class RestoreSessionModel {

    private String RestoredObjRef;
    private String VmDisplayName;
    private String JobUid;
    private String JobName;
    private String CreationTimeUTC;
    private String EndTimeUTC;
    private String State;
    private String Result;
    private Integer Progress;
    private String FailureMessage;
    private String Name;
    private String UID;
    private List<LinkModel> Links;
    private String Href;
    private String Type;

    public String getRestoredObjRef() {
        return RestoredObjRef;
    }

    public void setRestoredObjRef(String restoredObjRef) {
        RestoredObjRef = restoredObjRef;
    }

    public String getVmDisplayName() {
        return VmDisplayName;
    }

    public void setVmDisplayName(String vmDisplayName) {
        VmDisplayName = vmDisplayName;
    }

    public String getJobUid() {
        return JobUid;
    }

    public void setJobUid(String jobUid) {
        JobUid = jobUid;
    }

    public String getJobName() {
        return JobName;
    }

    public void setJobName(String jobName) {
        JobName = jobName;
    }

    public String getCreationTimeUTC() {
        return CreationTimeUTC;
    }

    public void setCreationTimeUTC(String creationTimeUTC) {
        CreationTimeUTC = creationTimeUTC;
    }

    public String getEndTimeUTC() {
        return EndTimeUTC;
    }

    public void setEndTimeUTC(String endTimeUTC) {
        EndTimeUTC = endTimeUTC;
    }

    public String getState() {
        return State;
    }

    public void setState(String state) {
        State = state;
    }

    public String getResult() {
        return Result;
    }

    public void setResult(String result) {
        Result = result;
    }

    public Integer getProgress() {
        return Progress;
    }

    public void setProgress(Integer progress) {
        Progress = progress;
    }

    public String getFailureMessage() {
        return FailureMessage;
    }

    public void setFailureMessage(String failureMessage) {
        FailureMessage = failureMessage;
    }

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public String getUID() {
        return UID;
    }

    public void setUID(String UID) {
        this.UID = UID;
    }

    public List<LinkModel> getLinks() {
        return Links;
    }

    public void setLinks(List<LinkModel> links) {
        Links = links;
    }

    public String getHref() {
        return Href;
    }

    public void setHref(String href) {
        Href = href;
    }

    public String getType() {
        return Type;
    }

    public void setType(String type) {
        Type = type;
    }

    @Override
    public String toString() {
        return "RestoreSessionModel{" +
                "RestoredObjRef='" + RestoredObjRef + '\'' +
                ", VmDisplayName='" + VmDisplayName + '\'' +
                ", JobUid='" + JobUid + '\'' +
                ", JobName='" + JobName + '\'' +
                ", CreationTimeUTC='" + CreationTimeUTC + '\'' +
                ", EndTimeUTC='" + EndTimeUTC + '\'' +
                ", State='" + State + '\'' +
                ", Result='" + Result + '\'' +
                ", Progress=" + Progress +
                ", FailureMessage='" + FailureMessage + '\'' +
                ", Name='" + Name + '\'' +
                ", UID='" + UID + '\'' +
                ", Links=" + Links +
                ", Href='" + Href + '\'' +
                ", Type='" + Type + '\'' +
                '}';
    }
}
